API Fundamentals

Key information required to authenticate and start making API requests.

Base URL

All API requests should be addressed to the root endpoint below.

https://{your_domain}/api/v1/workspaces

Authentication

Pass your API token as a Bearer token in the Authorization header.

Authorization: Bearer <your_api_token>

Response Format

All standard responses return JSON objects structured with meta and result objects.

Content-Type: application/json
bash — Request
curl -X POST https://{your_domain}/api/v1/workspaces/{workspace_id}/agents/{agent_id}/sessions \
  -H "Authorization: Bearer <your_api_token>"
json — Response
{
  "meta": {
    "created_at": "2026-05-20T06:11:48.8777409Z",
    "message": "Session created successfully",
    "session_uuid": "shn-...",
    "status": "SUCCESS"
  },
  "result": {
    "output": {
      "uuid": "shn-...",
      "ws_uuid": "...",
      "user_uuid": "...",
      "created_at": "2026-05-20T06:11:48.8777409Z",
      "agent_uuid": "agn-..."
    }
  }
}